Bug 25186 - Lots of white space at the bottom of each tab on columns configuration
Summary: Lots of white space at the bottom of each tab on columns configuration
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Josef Moravec
URL:
Keywords:
Depends on: 10212
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-18 02:44 UTC by Katrin Fischer
Modified: 2020-05-14 18:19 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 25186: Fix accordion sections height in columns configuration page (1.45 KB, patch)
2020-04-20 09:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25186: Fix accordion sections height in columns configuration page (1.50 KB, patch)
2020-04-20 11:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25186: Fix accordion sections height in columns configuration page (1.56 KB, patch)
2020-04-21 15:52 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-04-18 02:44:54 UTC
When looking at the different tabs for Administration > Column configuration, there is a lot of white space to scroll through after the listed tables on each tab. 

This makes it harder to use, as you have to scroll over this to switch to any tab below your currently selected (accordeon view), so I think we could treat it as a 'small bug'.
Comment 1 Jonathan Druart 2020-04-20 09:17:33 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-04-20 11:16:38 UTC
Created attachment 103279 [details] [review]
Bug 25186: Fix accordion sections height in columns configuration page

The height for each section was the height of the highest section.
Now the height is set to the length of the section.

Test plan:
Go to Administration > Column configuration
Open the sections and confirm that the height fits its content.

QA: note that I guess "autoHeight: false" was meant to acchieve that,
but it does not exist in the API of the plugin.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Owen Leonard 2020-04-20 11:18:19 UTC
(In reply to Owen Leonard from comment #2)
> QA: note that I guess "autoHeight: false" was meant to acchieve that,
> but it does not exist in the API of the plugin.

That's right. "autoHeight: false" was the option in jQueryUI version 1.8 and lower and didn't get updated when we upgraded to 1.11.
Comment 4 Josef Moravec 2020-04-21 15:52:35 UTC
Created attachment 103390 [details] [review]
Bug 25186: Fix accordion sections height in columns configuration page

The height for each section was the height of the highest section.
Now the height is set to the length of the section.

Test plan:
Go to Administration > Column configuration
Open the sections and confirm that the height fits its content.

QA: note that I guess "autoHeight: false" was meant to acchieve that,
but it does not exist in the API of the plugin.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Martin Renvoize 2020-04-22 12:44:51 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-05-08 19:42:31 UTC
backported to 19.11.x for 19.11.06
Comment 7 Lucas Gass 2020-05-14 18:19:27 UTC
backported to 19.05.x for 19.05.11